/*
 * Definitions common to all communication input methods
 *
 * This file is part of DCC Monitor.
 *
 * Copyright 2007, 2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILE_COMM_PROTO_H
#define FILE_COMM_PROTO_H

#include "global.h"

// Return codes from comm_get_frame() functions
#define END_INPUT -1    // End of input stream
#define E_GARBAGE -2    // Too much garbage received
#define E_BIGFRAME -4   // Frame is too large
#define E_NULLFRAME -5  // Just a frame start byte
#define E_TINYFRAME -6  // Frame is too small
#define E_PARITY -7     // Frame failed parity check

/**
 * Function type definition for functions reading a frame from incoming
 * communication.
 *
 * Returns 0 on success or error code as listed above.
 */
typedef int8_t comm_get_frame_function (struct s_frame *frame);

#endif // ndef FILE_COMM_PROTO_H
