/**
 * Definition for function handling management protocol test functions
 * 
 * This file is part of DCC Monitor.
 *
 * Copyright 2007, 2008 Peter Lebbing <peter@digitalbrains.com>
 *
 * DCC Monitor is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * DCC Monitor is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with DCC Monitor.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FILE_TESTS_TEST_DISPATCH_H
#define FILE_TESTS_TEST_DISPATCH_H

#include <stddef.h>
#include "../global.h"

/**
 * Handle management protocol test functions frames
 *
 * This function is called by parse_manag when it encounters a "test functions"
 * frame.
 *
 * Parameter start points to subdata for test functions.
 */
extern void test_dispatch (struct s_frame *frame, size_t start);

#endif // ndef FILE_TESTS_TEST_DISPATCH_H
